Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit
Class GraphicsPlotCanvas2

    java.lang.Object
      jcckit.plot.PlotCanvas
          jcckit.GraphicsPlotCanvas
              jcckit.GraphicsPlotCanvas2

All Implemented Interfaces:
  PlotListener

Direct Known Subclasses:
  Graphics2DPlotCanvas

public class GraphicsPlotCanvas2
extends GraphicsPlotCanvas

Java 2 aware extentions of `GraphicsPlotCanvas`.

Author:
  Franz-Josef Elmer

Nested Class Summary
`protected class` | `GraphicsPlotCanvas2.GraphicsJPanel` Swing component which actually shows the rendered plot.

Nested classes inherited from class jcckit.GraphicsPlotCanvas
`GraphicsPlotCanvas.GraphicsCanvas, GraphicsPlotCanvas.GraphicsPainter`

Field Summary
`protected GraphicsPlotCanvas2.GraphicsJPanel` | `_jPanel` Wrapped Swing component.

Fields inherited from class jcckit.GraphicsPlotCanvas
`_canvas, BACKGROUND_KEY, DOUBLE_BUFFERING_KEY, FOREGROUND_KEY`

Fields inherited from class jcckit.plot.PlotCanvas
`HORIZONTAL_ANCHOR_KEY, PAPER_KEY, PLOT_KEY, VERTICAL_ANCHOR_KEY`

Constructor Summary
`GraphicsPlotCanvas2(ConfigParameters config)` Creates an instance from the specified configuration parameters.

Method Summary
`protected void` | `createGraphicsJPanel()` Creates an instance of `GraphicsPlotCanvas2.GraphicsJPanel` which wraps the rendered plot.
`javax.swing.JPanel` | `getGraphicsJPanel()` Returns a Swing component which wraps the rendered plot.
`void` | `plotChanged(PlotEvent event)` Repaints the wrapping GUI component.

Methods inherited from class jcckit.GraphicsPlotCanvas
`createGraphicsCanvas, drawInto, getGraphicsCanvas, main, mapCursorPosition, run, setDoubleBuffering, setMarker, setRenderer`

Methods inherited from class jcckit.plot.PlotCanvas
`connect, getHorizontalAnchor, getPaper, getPlot, getVerticalAnchor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _jPanel

    protected GraphicsPlotCanvas2.GraphicsJPanel _jPanel

  Wrapped Swing component.

Constructor Detail

### GraphicsPlotCanvas2

    public GraphicsPlotCanvas2(ConfigParameters config)

  Creates an instance from the specified configuration parameters. The configuration parameters of the s constructor of the superclass `GraphicsPlotCanvas` apply.

Method Detail

### createGraphicsJPanel

    protected void createGraphicsJPanel()

  Creates an instance of `GraphicsPlotCanvas2.GraphicsJPanel` which wraps the rendered plot.

### plotChanged

    public void plotChanged(PlotEvent event)

  Repaints the wrapping GUI component.

  Specified by:
    `plotChanged` in interface `PlotListener`
  Overrides:
    `plotChanged` in class `GraphicsPlotCanvas`

### getGraphicsJPanel

    public javax.swing.JPanel getGraphicsJPanel()

  Returns a Swing component which wraps the rendered plot. Note that the returned `JPanel` object has preferred size zero. This is important to know when used with certain LayoutManagers like `FlowLayout`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD